For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
            • POSTCompute RAG index
            • GETGet RAG index
            • GETGet RAG index overview
            • POSTCompute RAG index in batch
            • DELDelete RAG index
          • GETSearch knowledge base
          • GETGet dependent agents
          • GETGet knowledge base size
          • GETGet knowledge base summaries
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceKnowledge BaseRAG

Delete RAG index

DELETE
/v1/convai/knowledge-base/:documentation_id/rag-index/:rag_index_id
DELETE
/v1/convai/knowledge-base/:documentation_id/rag-index/:rag_index_id
$curl -X DELETE https://api.elevenlabs.io/v1/convai/knowledge-base/documentation_id/rag-index/rag_index_id
1{
2 "id": "string",
3 "model": "e5_mistral_7b_instruct",
4 "status": "new",
5 "progress_percentage": 1.1,
6 "document_model_index_usage": {
7 "used_bytes": 1
8 }
9}
Delete RAG index for the knowledgebase document.
Was this page helpful?
Previous

Search knowledge base

Next
Built with

Path parameters

documentation_idstringRequired
The id of a document from the knowledge base. This is returned on document addition.
rag_index_idstringRequired
The id of RAG index of document from the knowledge base.

Headers

xi-api-keystringOptional

Response

Successful Response
idstring
modelenumDefaults to e5_mistral_7b_instruct
Allowed values:
statusenum
progress_percentagedouble
document_model_index_usageobject

Errors

422
Unprocessable Entity Error